datapoint.cpp File Reference
`#include <vector>`
`#include <cmath>`
`#include <QDebug>`
`#include <QDataStream>`
`#include <QRegularExpressionMatch>`
`#include "datapoint.h"`
`#include "../types.h"`
`#include "../utils.h"`
`#include "../pappsoexception.h"`
`#include "../exception/exceptionoutofrange.h"`

Go to the source code of this file.

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

QDataStream & | pappso::operator<< (QDataStream &out, const DataPoint &dataPoint)
QDataStream & | pappso::operator>> (QDataStream &in, DataPoint &dataPoint)

## Variables

int | dataPointMetaTypeId
int | dataPointCstSPtrMetaTypeId

## Variable Documentation

## dataPointCstSPtrMetaTypeId

int dataPointCstSPtrMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::DataPointCstSPtr>("pappso::DataPointCstSPtr")

Definition at line 27 of file datapoint.cpp.

## dataPointMetaTypeId

int dataPointMetaTypeId

Initial value:
=
qRegisterMetaType<pappso::DataPoint>("pappso::DataPoint")

Definition at line 23 of file datapoint.cpp.